{% extends "@Paa/Default/entityFormBaseGrille.html.twig" %}

{#Partie formulaire avec les champs de la table caisses#}
{% block preGrille %}
{# LG 20200916 déac     <h5>Contacts de cette caisse</h5>#}
	{{ form_start(poForm, {'attr': {'class': 'form-horizontal', 'id': 'fEntityForm_' ~ psNomTable}}) }}
{# LG 20200916 passé dabns caché    {% if poForm.cnom is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center">
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.cnom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
#}
{#  LG 20200916 déac    
    {% if poForm.Enregistrer is defined %}
		<div class="col-xs-4 col-sm-2 col-md-2 col-lg-2 pull-right">
			{{ form_widget(poForm.Enregistrer, {'attr': {'class': 'btn cmdSave btn-block'}}) }}
		</div>
	{% endif %}
#}	
{% block champsCachés %}
{#TOUS LES CHAMPS QU'ON NE VEUT PAS VOIR
Il suffit de les mettre dans un bloc twig pas défini dans le parent pour qu'ils ne soient pas générés
#}
{#LG 20200916 début : caché #}
    <div style="display:none;">
    {% if poForm.cnom is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center">
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.cnom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
{#LG 20200916 fin#}
    {% if poForm.cadresse1 is defined %}
        <div class="form-group">
            {{ form_label(poForm.cadresse1, "Adresse 1 ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10">
            {{ form_widget(poForm.cadresse1, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.cadresse2 is defined %}
    <div class="form-group">
        {{ form_label(poForm.cadresse2, "Adresse 2 ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
        <div class="col-sm-12 col-md-5 col-lg-5">
        {{ form_widget(poForm.cadresse2, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.ccp is defined %}
    <div class="form-group">
        {{ form_label(poForm.ccp, "CP ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
        <div class="col-sm-5 col-md-4 col-lg-10">
        {{ form_widget(poForm.ccp, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.cville is defined %}
    <div class="form-group">
        {{ form_label(poForm.cville, "Ville ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
        <div class="col-sm-5 col-md-4 col-lg-10">
        {{ form_widget(poForm.cville, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.ctel is defined %}
    <div class="form-group">
        {{ form_label(poForm.ctel, "Téléphone ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
        <div class="col-sm-5 col-md-4 col-lg-10">
        {{ form_widget(poForm.ctel, {'attr': {'class': 'form-control'}}) }}            
        </div>
    </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.itype is defined %}
    <div class="form-group">
        {{ form_label(poForm.itype, "Type ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
        <div class="col-sm-5 col-md-4 col-lg-10">
        {{ form_widget(poForm.itype, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.cemail is defined %}
    <div class="form-group">
            {{ form_label(poForm.cemail, "Courriel ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
        <div class="col-sm-5 col-md-4 col-lg-10">
        {{ form_widget(poForm.cemail, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.cfax is defined %}
    <div class="form-group">
        {{ form_label(poForm.cfax, "Fax ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
        <div class="col-sm-5 col-md-4 col-lg-10">
        {{ form_widget(poForm.cfax, {'attr': {'class': 'form-control'}}) }} 
        </div>
    </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.cweb is defined %}
    <div class="form-group">
        {{ form_label(poForm.cweb, "Site web ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
        <div class = "col-sm-5 col-md-4 col-lg-10" >
        {{ form_widget(poForm.cweb, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    {% endif %}
	
</div>
    
{% endblock %}
{{ form_end(poForm) }}
{# LG 20200916 déac
<br>
#}{% endblock %}

{#Partie grille des contacts#}
{% block datatable_title %}
	<th id="iidCaissespersonnes" style="display: none">Id</th>
	<th id="ccivilite">Civilité</th> 
	<th id="cnom">Nom</th> 
	<th id="cprenom">Prénom</th>
{% endblock %}
{% block datatable_body %}
	{% set iRow = 0 %}
	{% for row in poEntité.listeContacts %}
		<tr>
			<td id ="row_{{ iRow|raw }}_iidCaissespersonnes" style="display: none" name="{{ row.iidCaissespersonnes }}"> {{ row.iidCaissespersonnes }} </td>
			<td id ="row_{{ iRow|raw }}_ccivilite"> {{ row.ccivilite}} </td> 
			<td id ="row_{{ iRow|raw }}_cnom"> {{ row.cnom}} </td> 
			<td id ="row_{{ iRow|raw }}_cprenom"> {{ row.cprenom}} </td> 
		</tr>
		{% set iRow = iRow + 1%}
	{% endfor %}
{% endblock %}
	
{#Formulaire de saisie de l'entité#}
{% block postGrille %}
{# LG 20200916 old <div id="formulaire_DataTable_caissesOngletPersonnes" class="col-xs-12 col-sm-4 col-md-4 col-lg-4 spliteB" style="margin-top: -15px"></div>#}
<div id="formulaire_DataTable_caissesPersonnes" class="col-xs-12 col-sm-4 col-md-4 col-lg-4 spliteB" style="margin-top: -15px"></div>
{% endblock %}
